Bug 152636 - up2date declares a system up2date with outstanding updates
up2date declares a system up2date with outstanding updates
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-30 17:00 EST by J. Erik Hemdal
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:12:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description J. Erik Hemdal 2005-03-30 17:00:28 EST
Description of problem:

Up2date reports the system as fully updated while the Red Hat Network Alert icon
indicates that updates are available to be applied.

Version-Release number of selected component (if applicable):
2.1.16

How reproducible:

Nearly every time updates are available.

Steps to Reproduce:
1. Notice that the notification icon is flashing red.
2. Click it to see a list of available updates.
3. Run up2date; acknowledge the popup that the system is fully updated.
  
Actual results:

It looks like the system is lying to you about the updates.  It can take 3 or 4
tries before you find a mirror that actually has the updates advertised.

Expected results:

If up2date finds updates, it will deliver them.  I think it would be useful if
up2date would "remember" the mirror where it found updates to advertise with the
Notification Icon, instead of going to the next available mirror (which often
has not received the latest updates yet).

I've seen many a post to the fedora-list from new users who are mystified by
this behavior and who assume Fedora is broken.  

Additional info:

Is a fix along these lines possible, or is there something about up2date that I
am missing?  Not a _huge_ issue, but one that would (IMO) improve usability of
Fedora.
Comment 1 Matthew Miller 2006-07-10 18:37:43 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-29 10:12:54 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.